{
    "name": "@zedtk/eslint-config",
    "description": "Opinionated configurations for eslint",
    "keywords": [
        "eslint",
        "config"
    ],
    "version": "1.0.3",
    "author": "Guy Lescalier",
    "license": "MIT",
    "homepage": "https://gitlab.com/zedtk/js/eslint-config",
    "repository": {
        "type": "git",
        "url": "https://gitlab.com/zedtk/js/eslint-config.git"
    },
    "bugs": {
        "url": "https://gitlab.com/zedtk/js/eslint-config/issues"
    },
    "publishConfig": {
        "access": "public"
    },
    "files": [
        "dist"
    ],
    "main": "dist/index.js",
    "scripts": {
        "clean": "rimraf dist",
        "tsc": "tsc --project tsconfig.prod.json",
        "build": "run-s clean tsc",
        "build:watch": "pnpm run build -- -w",
        "eslint": "eslint .",
        "lint": "pnpm run eslint",
        "format:prettier": "prettier --write .",
        "format:eslint": "pnpm run eslint -- --fix",
        "format": "run-s format:*",
        "release": "semantic-release"
    },
    "dependencies": {
        "read-pkg": "5.2.0",
        "semver-compare": "^1.0.0",
        "tslib": "^2.3.1"
    },
    "devDependencies": {
        "@semantic-release/changelog": "^5.0.1",
        "@semantic-release/commit-analyzer": "^8.0.1",
        "@semantic-release/git": "^9.0.0",
        "@semantic-release/npm": "^7.1.3",
        "@semantic-release/release-notes-generator": "^9.0.3",
        "@types/eslint": "^7.28.0",
        "@types/node": "^16.6.1",
        "@types/semver-compare": "^1.0.1",
        "@typescript-eslint/eslint-plugin": "^4.29.2",
        "@typescript-eslint/parser": "^4.29.2",
        "@zedtk/eslint-config": "^1.0.0",
        "@zedtk/prettier-config": "^1.0.1",
        "eslint": "^7.32.0",
        "eslint-config-prettier": "^8.3.0",
        "eslint-plugin-import": "^2.24.0",
        "eslint-plugin-unused-imports": "^1.1.4",
        "npm-run-all": "^4.1.5",
        "prettier": "^2.3.2",
        "rimraf": "^3.0.2",
        "semantic-release": "^17.4.5",
        "typescript": "^4.3.5"
    },
    "peerDependencies": {
        "eslint": ">=7"
    },
    "engines": {
        "node": ">=14",
        "pnpm": ">=6",
        "npm": "please-use-pnpm"
    }
}
